[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# FilenameIsPascalUnit

FilenameIsPascalUnit - checks that the supplied name is a correct Pascal unit name

## Declaration

Source position: fileutil.pas line 85

`function FilenameIsPascalUnit(`
`const Filename: String`
`):Boolean;`

## Arguments

`Filename` |  | The name of the file for checking

## Function result

Returns True if the supplied name is a correct Pascal Unit filename

## Description

FilenameIsPascalUnit - checks that the supplied name is a correct Pascal unit name

Looks at the file extension to see if it matches one of the standard Pascal extensions (currently .p, .pp, .pas)

The latest version of this document can be found at lazarus-ccr.sourceforge.net.